Skip to main content
POST
/
order
/
add-order
Add order
curl --request POST \
  --url https://demo.onlinebillingform.com/api/v2/order/add-order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": 123,
  "package_id": 123,
  "cycle_id": 123,
  "price": 123,
  "options.id": [
    "<string>"
  ],
  "options.amount": [
    "<string>"
  ],
  "options.value": [
    "<string>"
  ],
  "options.cycle_type": [
    "<string>"
  ]
}
'
import requests

url = "https://demo.onlinebillingform.com/api/v2/order/add-order"

payload = {
"customer_id": 123,
"package_id": 123,
"cycle_id": 123,
"price": 123,
"options.id": ["<string>"],
"options.amount": ["<string>"],
"options.value": ["<string>"],
"options.cycle_type": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 123,
package_id: 123,
cycle_id: 123,
price: 123,
'options.id': ['<string>'],
'options.amount': ['<string>'],
'options.value': ['<string>'],
'options.cycle_type': ['<string>']
})
};

fetch('https://demo.onlinebillingform.com/api/v2/order/add-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": false,
"errors": "Invalid API Key"
}
{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}
{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Body

customer_id
integer
required
package_id
integer
required
cycle_id
integer
required
price
number
required
options.id
string[]
options.amount
string[]
options.value
string[]
options.cycle_type
string[]

Response

OK

success
boolean